<!DOCTYPE html>
<html lang="ru">

<head>
	<title>Зад. 1 | Мешари Д.П. 25/2</title>
	<meta charset="utf-8">
	<link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
	<!-- ВЫПОЛНИЛ МЕШАРИ ДМИТРИЙ ПАВЛОВИЧ, ГРУППА 25.2 -->
	<h1>Задание 1</h1>
	<h2>Выполнил Мешари Дмитрий гр. 25/2</h2>
	<h3 id="links">Ссылки</h3>
	<!-- ССЫЛКИ -->
	<!-- 1 -->
	<a href="http://example.com/">Абсолютная гиперссылка на главную страницу сайта example.com</a><br>
	<!-- 2 -->
	<a href="https://example.com/">Абсолютная на главную сайта example.com в протоколе https</a><br>
	<!-- 3 -->
	<a href="ftp://92.242.39.60/">Ссылка на файл на сервере FTP без авторизации</a><br>
	<!-- 4 -->
	<a href="ftp://name:key@ftp.example.com">Ссылка на файл на сервере FTP с авторизацией</a><br>
	<!-- 5 -->
	<a href="https://html5book.ru/hyperlinks-in-html/#part4">Ссылка на фрагмент страницы некоторого сайта</a><br>
	<!-- 6 -->
	<a href="#form">Ссылка на фрагмент текущей страницы</a><br>
	<!-- 7 -->
	<a href="http://www.example.com?parameter1=value&name1=meshari">Ссылка с двумя параметрами в URL</a><br>
	<!-- 8 -->
	<ul>
		<li><a href="#links" title="Переход к ссылкам">Ссылки</a></li>
		<li><a href="#form" title="Переход к форме">Форма</a></li>
	</ul>
	<!-- 9 -->
	<a>Ссылка без href</a><br>
	<!-- 10 -->
	<a href="">Ссылка с пустым href</a><br>
	<!-- 11 -->
	<a href="http://meshari.ru" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a><br>
	<!-- 12 -->
	<!--noindex-->
	<a href="">Ссылка запрещенная для индексации поисковиками</a><br>
	<!--/noindex-->
	<!-- 13 -->
	<p><a href="https://www.lipsum.com/">Lorem Ipsum</a> is simply dummy text of the printing and typesetting industry. <a href="https://www.lipsum.com/">Lorem Ipsum</a> has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>
	<!-- 14 -->
	<p>Ссылка-изображение</p>
	<a title="Ссылка-изображение" href="http://htmlbook.ru/"><img src="https://i.ya-webdesign.com/images/download-icon-png-16x16-7.png" alt="Ссылка-изображение" width="50"></a><br>
	<!-- 15 -->
	<div>
		<p>Cсылки из прямоугольных и круглых областей картинки (HTML-тег map)</p>
		<img src="https://sun9-37.userapi.com/c853428/v853428711/f63ec/vm0RsUT3hFk.jpg" alt="Навигация по сайту" usemap="#map">
		<p>
			<map name="map">
				<area shape="rect" coords="0,0,165,112" href="http://example.com/" alt="Прямоугольная ссылка">
				<area shape="circle" coords="228,56,52" href="http://example.com/" alt="Круглая ссылка">
			</map>
		</p>
	</div>
	<!-- 16 -->
	<a href=".">Относительная ссылка на страницу в текущем каталоге</a><br>
	<!-- 17 -->
	<a href="./about">Относительная ссылка на страницу в каталоге about</a><br>
	<!-- 18 -->
	<a href="../about">Относительная ссылка на страницу в каталоге уровнем выше текущего</a><br>
	<!-- 19 -->
	<a href="../../about">Относительная ссылка на страницу в каталоге двумя уровнями выше</a><br>
	<!-- 20 -->
	<a href="/home">Сокращенная ссылка на главную</a><br>
	<!-- 21 -->
	<a href="/home/about">Сокращенная ссылка на внутреннюю</a><br>
	<br>
	<!-- ФОРМА -->
	<form id="form" action="url" method="GET">
		<!-- 1) имя (текстовое поле)-->
		<label>
			Имя<br>
			<input name="field-name" value="" type="text">
		</label>
		<br>
		<!-- 2) e-mail (поле email)-->
		<label>
			Email<br>
			<input name="field-email" value="" type="email">
		</label>
		<br>
		<!-- 3) дата рождения (поле даты) -->
		<label>
			Дата рождения<br>
			<input name="field-date" value="2019-08-20" type="date">
		</label>
		<br>
		<!-- ### -->
		<div>
			<!-- 4) пол (радиокнопки) -->
			Пол<br>
			<label>
				<input type="radio" name="radio-sex" value="male">
				<span>Мужской</span>
			</label>

			<label>
				<input type="radio" name="radio-sex" value="female">
				<span>Женский</span>
			</label>
		</div>
		<!-- ### -->
		<div>
			<!-- 5) количество конечностей (радиокнопки)-->
			Количество конечностей<br>
			<label>
				<input type="radio" name="radio-hands" value="one">
				<span>Одна</span>
			</label>

			<label>
				<input type="radio" name="radio-hands" value="two">
				<span>Две</span>
			</label>

			<label>
				<input type="radio" checked="checked" name="radio-hands" value="four">
				<span>Четыре</span>
			</label>

			<label>
				<input type="radio" name="radio-hands" value="four">
				<span>Шесть</span>
			</label>
		</div>
		<!-- 6) сверхспособности: бессмертие, прохождение сквозь стены, левитация
(множественный выбор из списка) -->
		<label>
			Сверхспособности<br>
			<select name="superman" multiple="multiple">
				<option value="immortality">Бессмертие</option>
				<option value="passing-through-walls"> Прохождение сквозь стены</option>
				<option value="levitation">Левитация</option>
			</select>
		</label>
		<br>
		<!-- 7) биография (многострочное текстовое поле) -->
		<label>
			Биография<br>
			<textarea name="bio"></textarea>
		</label>
		<br>
		<!-- 8) с контрактом ознакомлен (чекбокс) -->
		<label>
			<input type="checkbox" checked="checked" name="agree">
			<span>с контрактом ознакомлен</span>
		</label>
		<br>
		<!-- 9) кнопка «Отправить» -->
		<input type="submit" value="Отправить">
	</form>
</body>

</html>